package ecs.components;

import ecs.core.Component;

class Spatial extends Component {
	public var x:Float;
	public var y:Float;

	public function new(x = 0., y = 0.) {
		super();

		this.x = x;
		this.y = y;
	}

	public function set(x, y) {
		this.x = x;
		this.y = y;
	}

	public function clone() {
		return new Spatial(x, y);
	}
}
